petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCFactorGetShiftAmount

Gets the tolerance used to define a zero privot

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorGetShiftAmount(PC pc,PetscReal *shift)

Not Collective

### Input Parameters

pc -the preconditioner context

### Output Parameter

shift -how much to shift the diagonal entry

### See Also

PCFactorSetShiftAmount(), PCFactorSetShiftType(), PCFactorGetShiftType()

### Level

intermediate

### Location

src/ksp/pc/impls/factor/factor.c

### Implementations

PCFactorGetShiftAmount_Factor in src/ksp/pc/impls/factor/factimpl.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages